using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace while_Loop_Demo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void goButton_Click(object sender, EventArgs e)
        {
            // Zadeklarowanie zmiennej przechowującej liczbę iteracji pętli.
            int count = 1;

            // Pięciokrotne wyświetlenie w oknie komunikatu ciągu tekstowego "Witaj".
            while (count <= 5)
            {
                // Wyświetlenie okna komunikatu.
                MessageBox.Show("Witaj");

                // Dodanie 1 do wartości zmiennej count.
                count = count + 1;
            }
        }
    }
}
